# -*- coding: utf-8 -*-
"""
ISO 3166-1 alpha-3

Sources:
* https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3#Officially_assigned_code_elements
"""
from typing import Dict

ISO3: Dict[str, Dict[str, str]] = {
    "ABW": {"code": "AW"},
    "AFG": {"code": "AF"},
    "AGO": {"code": "AO"},
    "AIA": {"code": "AI"},
    "ALA": {"code": "AX"},
    "ALB": {"code": "AL"},
    "AND": {"code": "AD"},
    "ARE": {"code": "AE"},
    "ARG": {"code": "AR"},
    "ARM": {"code": "AM"},
    "ASC": {"code": "AC"},
    "ASM": {"code": "AS"},
    "ATA": {"code": "AQ"},
    "ATF": {"code": "TF"},
    "ATG": {"code": "AG"},
    "AUS": {"code": "AU"},
    "AUT": {"code": "AT"},
    "AZE": {"code": "AZ"},
    "BDI": {"code": "BI"},
    "BEL": {"code": "BE"},
    "BEN": {"code": "BJ"},
    "BES": {"code": "BQ"},
    "BFA": {"code": "BF"},
    "BGD": {"code": "BD"},
    "BGR": {"code": "BG"},
    "BHR": {"code": "BH"},
    "BHS": {"code": "BS"},
    "BIH": {"code": "BA"},
    "BLM": {"code": "BL"},
    "BLR": {"code": "BY"},
    "BLZ": {"code": "BZ"},
    "BMU": {"code": "BM"},
    "BOL": {"code": "BO"},
    "BRA": {"code": "BR"},
    "BRB": {"code": "BB"},
    "BRN": {"code": "BN"},
    "BTN": {"code": "BT"},
    "BVT": {"code": "BV"},
    "BWA": {"code": "BW"},
    "CAF": {"code": "CF"},
    "CAN": {"code": "CA"},
    "CCK": {"code": "CC"},
    "CHE": {"code": "CH"},
    "CHL": {"code": "CL"},
    "CHN": {"code": "CN"},
    "CIV": {"code": "CI"},
    "CMR": {"code": "CM"},
    "COD": {"code": "CD"},
    "COG": {"code": "CG"},
    "COK": {"code": "CK"},
    "COL": {"code": "CO"},
    "COM": {"code": "KM"},
    "CPV": {"code": "CV"},
    "CRI": {"code": "CR"},
    "CUB": {"code": "CU"},
    "CUW": {"code": "CW"},
    "CXR": {"code": "CX"},
    "CYM": {"code": "KY"},
    "CYP": {"code": "CY"},
    "CZE": {"code": "CZ"},
    "DEU": {"code": "DE"},
    "DJI": {"code": "DJ"},
    "DMA": {"code": "DM"},
    "DNK": {"code": "DK"},
    "DOM": {"code": "DO"},
    "DZA": {"code": "DZ"},
    "ECU": {"code": "EC"},
    "EGY": {"code": "EG"},
    "ERI": {"code": "ER"},
    "ESH": {"code": "EH"},
    "ESP": {"code": "ES"},
    "EST": {"code": "EE"},
    "ETH": {"code": "ET"},
    "FIN": {"code": "FI"},
    "FJI": {"code": "FJ"},
    "FLK": {"code": "FK"},
    "FRA": {"code": "FR"},
    "FRO": {"code": "FO"},
    "FSM": {"code": "FM"},
    "GAB": {"code": "GA"},
    "GBR": {"code": "GB"},
    "GEO": {"code": "GE"},
    "GGY": {"code": "GG"},
    "GHA": {"code": "GH"},
    "GIB": {"code": "GI"},
    "GIN": {"code": "GN"},
    "GLP": {"code": "GP"},
    "GMB": {"code": "GM"},
    "GNB": {"code": "GW"},
    "GNQ": {"code": "GQ"},
    "GRC": {"code": "GR"},
    "GRD": {"code": "GD"},
    "GRL": {"code": "GL"},
    "GTM": {"code": "GT"},
    "GUF": {"code": "GF"},
    "GUM": {"code": "GU"},
    "GUY": {"code": "GY"},
    "HKG": {"code": "HK"},
    "HMD": {"code": "HM"},
    "HND": {"code": "HN"},
    "HRV": {"code": "HR"},
    "HTI": {"code": "HT"},
    "HUN": {"code": "HU"},
    "IDN": {"code": "ID"},
    "IMN": {"code": "IM"},
    "IND": {"code": "IN"},
    "IOT": {"code": "IO"},
    "IRL": {"code": "IE"},
    "IRN": {"code": "IR"},
    "IRQ": {"code": "IQ"},
    "ISL": {"code": "IS"},
    "ISR": {"code": "IL"},
    "ITA": {"code": "IT"},
    "JAM": {"code": "JM"},
    "JEY": {"code": "JE"},
    "JOR": {"code": "JO"},
    "JPN": {"code": "JP"},
    "KAZ": {"code": "KZ"},
    "KEN": {"code": "KE"},
    "KGZ": {"code": "KG"},
    "KHM": {"code": "KH"},
    "KIR": {"code": "KI"},
    "KNA": {"code": "KN"},
    "KOR": {"code": "KR"},
    "KWT": {"code": "KW"},
    "LAO": {"code": "LA"},
    "LBN": {"code": "LB"},
    "LBR": {"code": "LR"},
    "LBY": {"code": "LY"},
    "LCA": {"code": "LC"},
    "LIE": {"code": "LI"},
    "LKA": {"code": "LK"},
    "LSO": {"code": "LS"},
    "LTU": {"code": "LT"},
    "LUX": {"code": "LU"},
    "LVA": {"code": "LV"},
    "MAC": {"code": "MO"},
    "MAF": {"code": "MF"},
    "MAR": {"code": "MA"},
    "MCO": {"code": "MC"},
    "MDA": {"code": "MD"},
    "MDG": {"code": "MG"},
    "MDV": {"code": "MV"},
    "MEX": {"code": "MX"},
    "MHL": {"code": "MH"},
    "MKD": {"code": "MK"},
    "MLI": {"code": "ML"},
    "MLT": {"code": "MT"},
    "MMR": {"code": "MM"},
    "MNE": {"code": "ME"},
    "MNG": {"code": "MN"},
    "MNP": {"code": "MP"},
    "MOZ": {"code": "MZ"},
    "MRT": {"code": "MR"},
    "MSR": {"code": "MS"},
    "MTQ": {"code": "MQ"},
    "MUS": {"code": "MU"},
    "MWI": {"code": "MW"},
    "MYS": {"code": "MY"},
    "MYT": {"code": "YT"},
    "NAM": {"code": "NA"},
    "NCL": {"code": "NC"},
    "NER": {"code": "NE"},
    "NFK": {"code": "NF"},
    "NGA": {"code": "NG"},
    "NIC": {"code": "NI"},
    "NIU": {"code": "NU"},
    "NLD": {"code": "NL"},
    "NOR": {"code": "NO"},
    "NPL": {"code": "NP"},
    "NRU": {"code": "NR"},
    "NZL": {"code": "NZ"},
    "OMN": {"code": "OM"},
    "PAK": {"code": "PK"},
    "PAN": {"code": "PA"},
    "PCN": {"code": "PN"},
    "PER": {"code": "PE"},
    "PHL": {"code": "PH"},
    "PLW": {"code": "PW"},
    "PNG": {"code": "PG"},
    "POL": {"code": "PL"},
    "PRI": {"code": "PR"},
    "PRK": {"code": "KP"},
    "PRT": {"code": "PT"},
    "PRY": {"code": "PY"},
    "PSE": {"code": "PS"},
    "PYF": {"code": "PF"},
    "QAT": {"code": "QA"},
    "REU": {"code": "RE"},
    "ROU": {"code": "RO"},
    "RUS": {"code": "RU"},
    "RWA": {"code": "RW"},
    "SAU": {"code": "SA"},
    "SDN": {"code": "SD"},
    "SEN": {"code": "SN"},
    "SGP": {"code": "SG"},
    "SGS": {"code": "GS"},
    "SHN": {"code": "SH"},
    "SJM": {"code": "SJ"},
    "SLB": {"code": "SB"},
    "SLE": {"code": "SL"},
    "SLV": {"code": "SV"},
    "SMR": {"code": "SM"},
    "SOM": {"code": "SO"},
    "SPM": {"code": "PM"},
    "SRB": {"code": "RS"},
    "SSD": {"code": "SS"},
    "STP": {"code": "ST"},
    "SUR": {"code": "SR"},
    "SVK": {"code": "SK"},
    "SVN": {"code": "SI"},
    "SWE": {"code": "SE"},
    "SWZ": {"code": "SZ"},
    "SXM": {"code": "SX"},
    "SYC": {"code": "SC"},
    "SYR": {"code": "SY"},
    "TAA": {"code": "TA"},
    "TCA": {"code": "TC"},
    "TCD": {"code": "TD"},
    "TGO": {"code": "TG"},
    "THA": {"code": "TH"},
    "TJK": {"code": "TJ"},
    "TKL": {"code": "TK"},
    "TKM": {"code": "TM"},
    "TLS": {"code": "TL"},
    "TON": {"code": "TO"},
    "TTO": {"code": "TT"},
    "TUN": {"code": "TN"},
    "TUR": {"code": "TR"},
    "TUV": {"code": "TV"},
    "TWN": {"code": "TW"},
    "TZA": {"code": "TZ"},
    "UGA": {"code": "UG"},
    "UKR": {"code": "UA"},
    "UMI": {"code": "UM"},
    "URY": {"code": "UY"},
    "USA": {"code": "US"},
    "UZB": {"code": "UZ"},
    "VAT": {"code": "VA"},
    "VCT": {"code": "VC"},
    "VEN": {"code": "VE"},
    "VGB": {"code": "VG"},
    "VIR": {"code": "VI"},
    "VNM": {"code": "VN"},
    "VUT": {"code": "VU"},
    "WLF": {"code": "WF"},
    "WSM": {"code": "WS"},
    "XKX": {"code": "XK"},
    "YEM": {"code": "YE"},
    "ZAF": {"code": "ZA"},
    "ZMB": {"code": "ZM"},
    "ZWE": {"code": "ZW"},
}
